/*
 * 文 件 名:  AcrelConfig
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/21
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 安科瑞参数
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/21]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
@Configuration
public class AcrelConfig {
    @Value("${adapter.acrel.url}")
    private String url;

    @Value("${adapter.acrel.auth.loginName}")
    private String authLoginName;

    @Value("${adapter.acrel.auth.password}")
    private String authPassword;
}