/*
 * 文 件 名:  Circuit
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/21
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 回路信息
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/21]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class Circuit {
    /**
     * 站点id
     */
    @JSONField(name = "fSubid")
    private Integer subId;

    /**
     * 站点名称
     */
    @JSONField(name = "fSubname")
    private String subName;

    /**
     * 站点名称-英文
     */
    @JSONField(name = "fSubnameEn")
    private String subNameEn;

    /**
     * 回路id
     */
    @JSONField(name = "fCircuitid")
    private String circuitId;

    /**
     * 回路名称
     */
    @JSONField(name = "fCircuitname")
    private String circuitName;

    /**
     * 父级回路id
     */
    @JSONField(name = "fParentid")
    private String parentId;

    /**
     * 状态
     */
    @JSONField(name = "fState")
    private Integer state;

    /**
     * 是否进线
     */
    @JSONField(name = "fIsincoming")
    private Boolean inComIng;

    /**
     * 仪表编号
     */
    @JSONField(name = "fMetercode")
    private String meterCode;

    /**
     * 排序号
     */
    @JSONField(name = "fSortNum")
    private Integer sortNum;

    /**
     * 开关状态
     */
    @JSONField(name = "fSwitchstatus")
    private Boolean switchStatus;

    /**
     * 告警
     */
    @JSONField(name = "isAlarm")
    private Integer alarm;

    @JSONField(name = "children")
    private List<Circuit> children;
}