/*
 * 文 件 名:  StationType
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/21
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 站点类型信息
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/21]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class StationType {
    /**
     * 站点类型英文名称
     */
    @JSONField(name = "fStationtypenameen")
    private String fStationTypeNameEn;

    /**
     * 站点类型名称
     */
    @JSONField(name = "fStationtypename")
    private String fStationTypeName;

    /**
     * 站点类型编码
     * <br/>0：变配电站，1：光伏电站，2：供水站，3：供气站，4：供冷站，5：供热站，6：储能站，7：风电站，8：瓦斯发电站
     */
    @JSONField(name = "fStationtypecode")
    private String fStationTypeCode;
}