/*
 * 文 件 名:  MeterKeyValue
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/23
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 计量返回键值对
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/23]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class MeterKeyValue {
    /**
     * 站点ID
     */
    @JSONField(name = "fSubid")
    private Integer subId;

    /**
     * 仪表编码
     */
    @JSONField(name = "fMetercode")
    private String meterCode;

    /**
     * 仪表名称
     */
    @JSONField(name = "fMetername")
    private String meterName;

    /**
     * 参数
     */
    @JSONField(name = "fParamcode")
    private String paramCode;

    /**
     * 参数名称
     */
    @JSONField(name = "fParamname")
    private String paramName;

    /**
     * 值
     */
    @JSONField(name = "fValue")
    private String value;

    /**
     * 值单位
     */
    @JSONField(name = "fUnitCode")
    private String unitCode;
}